Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRPropertiesHolder

All Known Subinterfaces:
  JRBreak, JRChart, JRComponentElement, JRCrosstab, JRCrosstabParameter, JRDataset, JRElement, JREllipse, JRField, JRFrame, JRGenericElement, JRGenericPrintElement, JRGraphicElement, JRImage, JRLine, JRParameter, JRPrintElement, JRPrintEllipse, JRPrintFrame, JRPrintGraphicElement, JRPrintImage, JRPrintLine, JRPrintRectangle, JRPrintText, JRRecordedValuesPrintElement, JRRectangle, JRReport, JRScriptlet, JRStaticText, JRSubreport, JRTextElement, JRTextField, JRValueParameter

All Known Implementing Classes:
  DelegatePropertiesHolder, ElementDecorator, FillTableSubreport, JasperDesign, JasperPrint, JasperReport, JRBaseBreak, JRBaseChart, JRBaseComponentElement, JRBaseCrosstab, JRBaseCrosstabParameter, JRBaseDataset, JRBaseElement, JRBaseEllipse, JRBaseField, JRBaseFrame, JRBaseGenericElement, JRBaseGenericPrintElement, JRBaseGraphicElement, JRBaseImage, JRBaseLine, JRBaseParameter, JRBasePrintElement, JRBasePrintEllipse, JRBasePrintFrame, JRBasePrintGraphicElement, JRBasePrintImage, JRBasePrintLine, JRBasePrintRectangle, JRBasePrintText, JRBaseRectangle, JRBaseReport, JRBaseScriptlet, JRBaseStaticText, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRDesignBreak, JRDesignChart, JRDesignComponentElement, JRDesignCrosstab, JRDesignCrosstabParameter, JRDesignDataset, JRDesignElement, JRDesignEllipse, JRDesignField, JRDesignFrame, JRDesignGenericElement, JRDesignGraphicElement, JRDesignImage, JRDesignLine, JRDesignParameter, JRDesignRectangle, JRDesignScriptlet, JRDesignStaticText, JRDesignSubreport, JRDesignTextElement, JRDesignTextField, JRFillBreak, JRFillChart, JRFillComponentElement, JRFillCrosstab, JRFillCrosstabParameter, JRFillDataset, JRFillElement, JRFillEllipse, JRFillField, JRFillFrame, JRFillGenericElement, JRFillGraphicElement, JRFillImage, JRFillLine, JRFillParameter, JRFillRectangle, JRFillScriptlet, JRFillStaticText, JRFillSubreport, JRFillTextElement, JRFillTextField, JRRecordedValuesGenericPrintElement, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplateElement, JRTemplateEllipse, JRTemplateFrame, JRTemplateGenericElement, JRTemplateGenericPrintElement, JRTemplateGraphicElement, JRTemplateImage, JRTemplateLine, JRTemplatePrintElement, JRTemplatePrintEllipse, JRTemplatePrintFrame, JRTemplatePrintGraphicElement, JRTemplatePrintImage, JRTemplatePrintLine, JRTemplatePrintRectangle, JRTemplatePrintText, JRTemplateRectangle, JRTemplateText, JRVirtualPrintPage.JRIdHolderTemplateElement, TableReport, TableReportDataset, TableSubreport

    public interface JRPropertiesHolder

Interface to be implemented by objects that have properties attached.

Version:
  $Id: JRPropertiesHolder.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
`JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
`boolean` | `hasProperties()` Checks whether the object has any properties.

Method Detail

### hasProperties

    boolean hasProperties()

  Checks whether the object has any properties.

  Returns:
    whether the object has any properties

### getPropertiesMap

    JRPropertiesMap getPropertiesMap()

  Returns this object's properties map.

  Returns:
    this object's properties map

### getParentProperties

    JRPropertiesHolder getParentProperties()

  Returns the parent properties holder, whose properties are used as defaults for this object.

  Returns:
    the parent properties holder, or `null` if no parent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com